Status: Closed

Priority: Normal

Assignee:

Category: Metadata

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25986
Description

Layer Properties dialog --> Metadata --> Categories tab
The dialog allows you to add new categories but there's no way to remove unwanted categories.
I don't know if it should allow to remove predefined categories but at least the ones | created should be erasable.

Associated revisions

Revision cd24adbf - 2018-02-14 05:35 AM - Nyall Dawson
[needs-docs] Rework arrangement of buttons in categories tab in
metadata editor to make their operation more self-explanatory

for users.

Also add tooltips to the buttons describing their function, and
allow the buttons to operate on multiple selected rows at once.

Fixes #18090

History

#1 - 2018-02-13 04:55 PM - Etienne Trimaille
The left arrow will remove the selected category from the right panel:
- Ifit's a predefined one, it will come back to the left panel

- If it's not, it will be removed.

I don't know if it should allow to remove predefined categories

| don't understand, you can already do it. The left panel is only showing some default ones. These categories are not included in your metadata.

So you would like the red minus icon?

#2 - 2018-02-13 06:03 PM - Harrissou Santanna

Yes | was expecting a minus button and as i did not find any, | never tried to add a new category because | was afraid i'd "corrupt" my data (this is not an
area i use so no need to take a risk :) ).

I just give it a test now. | thought new category would be added to the left panel, growing the list and then stored in some custom setting for further reuse.
Hummm btw the behavior of this dialog is quite different from what QGIS often offers in this kind of configuration.

Anyway, i have no strong opinion on the design here. Feel free to ignore/close this issue report.
And Thanks for the explanation.

#3 - 2018-02-13 11:45 PM - Nyall Dawson
- Pull Request or Patch supplied changed from No to Yes

See https://github.com/qgis/QGIS/pull/6337

#4 - 2018-02-14 05:35 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|cd24adbf9e07253227574c290c76b51da791601c.

#5 - 2018-02-21 05:53 PM - Giovanni Manghi

- Resolution set to fixed/implemented
